> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getkato.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook endpoints

> List webhook subscription metadata for the workspace.

List webhook subscription metadata for the workspace.

Use a developer access key. See [authentication, errors, and rate limits](/api-reference/authentication).

Required scopes: `webhooks:read`.

Returns an unpaginated array, newest creation first. Signing secrets are never included. See [delivery behavior](/api-reference/webhooks/setup#delivery-behavior).

## Response

**200** — Returns the resource under `data`. Example IDs and values are illustrative.

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": [
      {
        "id": "endpoint_example",
        "targetUrl": "https://receiver.example/webhooks/kato",
        "description": null,
        "events": [
          "record.created"
        ],
        "status": "active",
        "createdAt": "2026-09-07T12:00:00.000Z",
        "updatedAt": "2026-09-07T12:00:00.000Z"
      }
    ]
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash Request theme={null}
  curl --fail-with-body --silent --show-error \
    "https://api.getkato.io/v1/webhooks" \
    -H "Authorization: Bearer $KATO_API_KEY"
  ```
</RequestExample>


## Related topics

- [All endpoints](/api-reference/endpoints.md)
- [Delete a webhook endpoint](/api-reference/webhooks/delete.md)
- [Create a webhook endpoint](/api-reference/webhooks/create.md)
- [List supported webhook events](/api-reference/webhooks/list-events.md)
- [Set up webhooks](/api-reference/webhooks/setup.md)
